﻿


/*
   CSS Below came with Blazor package, for last resort error box
*/
#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }


/*
    Custom CSS for icon button .razor
    placed here so that doesn not repeat everytime if placed in component
*/

/*button with icon amd text*/
.iconButton {
    width: fit-content;
    height: fit-content;
    /*align-self: end;*/
    /* padding: 5px; */
    /*min-width: 100px;*/
    /*align-self: center;*/
}

/*usually placed next to input*/
.iconOnlyButton {
    /*margin-left: 6px;*/
    min-width: auto !important;
    height: 37px;
    width: fit-content;
    height: fit-content;
}


/*
    Custom CSS below to make Darkmode.JS work properly with bootstrap
    Note placed here because night overlay is placed outside 
*/
.darkmode-layer, .darkmode-toggle {
    z-index: 500 !important;
}

/*modify bootstrap tabs for whole website*/
.nav .nav-item button {
    background: #f5f9fd !important;
    color: #495057 !important; /*so that button is not blue*/
}

#myTabContent {
    background: #f5f9fd !important;
}


/*make selected tab words bold*/
.nav .nav-item .active {
    font-weight: bold !important;
}


/*
    Bootstrap Button Override
    - more soothing blue for buttons, bootstrap blue is too sharp
*/
.btn-outline-primary:hover {
    background-color: #1877f2 !important;
}
/*darker to make it stick out*/
.btn-primary:hover {
    color: #1877f2;
    background-color: #e7f3ff !important;
}

.btn-primary:active {
    color: #1877f2;
}

.btn-primary {
    background-color: #1877f2 !important;
}

/*TIPPY light THEME*/
.tippy-popper[x-placement^=top] .tippy-tooltip.light-theme .tippy-arrow {
    border-top: 8px solid #fff;
    border-right: 8px solid transparent;
    border-left: 8px solid transparent
}

.tippy-popper[x-placement^=bottom] .tippy-tooltip.light-theme .tippy-arrow {
    border-bottom: 8px solid #fff;
    border-right: 8px solid transparent;
    border-left: 8px solid transparent
}

.tippy-popper[x-placement^=left] .tippy-tooltip.light-theme .tippy-arrow {
    border-left: 8px solid #fff;
    border-top: 8px solid transparent;
    border-bottom: 8px solid transparent
}

.tippy-popper[x-placement^=right] .tippy-tooltip.light-theme .tippy-arrow {
    border-right: 8px solid #fff;
    border-top: 8px solid transparent;
    border-bottom: 8px solid transparent
}

.tippy-tooltip.light-theme {
    color: #26323d;
    box-shadow: 0 0 20px 4px rgba(154,161,177,.15),0 4px 80px -8px rgba(36,40,47,.25),0 4px 4px -2px rgba(91,94,105,.15);
    background-color: #fff
}

    .tippy-tooltip.light-theme .tippy-backdrop {
        background-color: #fff
    }

    .tippy-tooltip.light-theme .tippy-roundarrow {
        fill: #fff
    }

    .tippy-tooltip.light-theme[data-animatefill] {
        background-color: transparent
    }


/*TIPPY translucent THEME*/
.tippy-popper[x-placement^=top] .tippy-tooltip.translucent-theme .tippy-arrow {
    border-top: 7px solid rgba(0,0,0,.7);
    border-right: 7px solid transparent;
    border-left: 7px solid transparent
}

.tippy-popper[x-placement^=bottom] .tippy-tooltip.translucent-theme .tippy-arrow {
    border-bottom: 7px solid rgba(0,0,0,.7);
    border-right: 7px solid transparent;
    border-left: 7px solid transparent
}

.tippy-popper[x-placement^=left] .tippy-tooltip.translucent-theme .tippy-arrow {
    border-left: 7px solid rgba(0,0,0,.7);
    border-top: 7px solid transparent;
    border-bottom: 7px solid transparent
}

.tippy-popper[x-placement^=right] .tippy-tooltip.translucent-theme .tippy-arrow {
    border-right: 7px solid rgba(0,0,0,.7);
    border-top: 7px solid transparent;
    border-bottom: 7px solid transparent
}

.tippy-tooltip.translucent-theme, .tippy-tooltip.translucent-theme .tippy-backdrop {
    background-color: rgba(0,0,0,.7)
}

    .tippy-tooltip.translucent-theme .tippy-roundarrow {
        fill: rgba(0,0,0,.7)
    }

    .tippy-tooltip.translucent-theme[data-animatefill] {
        background-color: transparent
    }



/*
    BOOTSTARP PLACEHOLDER IMAGE STYLES (FROM DOCS PAGE)
*/


.bd-placeholder-img {
    font-size: 1.125rem;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    text-anchor: middle
}

.bd-placeholder-img-lg {
    font-size: calc(1.475rem + 2.7vw)
}
